Remove all vault-level address registry opt-outs for the workspace
Removes all vault accounts from the workspace opt-out list.
DELETE
/
address_registry
/
vaults
TypeScript
const response: Promise<FireblocksResponse<AddressRegistryRemoveAllVaultOptOutsResponse>> = fireblocks.compliance.removeAllAddressRegistryVaultOptOuts();CompletableFuture<ApiResponse<AddressRegistryRemoveAllVaultOptOutsResponse>> response = fireblocks.compliance().removeAllAddressRegistryVaultOptOuts();response = fireblocks.compliance.remove_all_address_registry_vault_opt_outs();curl --request DELETE \
--url https://api.fireblocks.io/v1/address_registry/vaultsconst options = {method: 'DELETE'};
fetch('https://api.fireblocks.io/v1/address_registry/vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"removedCount": 5
}{
"message": "<string>",
"code": 123
}Response
All opt-outs cleared; response body includes removedCount.
Result of clearing all vault-level opt-outs for the address registry on this workspace.
Number of opt-out rows deleted (0 if none existed).
Example:
5
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<AddressRegistryRemoveAllVaultOptOutsResponse>> = fireblocks.compliance.removeAllAddressRegistryVaultOptOuts();CompletableFuture<ApiResponse<AddressRegistryRemoveAllVaultOptOutsResponse>> response = fireblocks.compliance().removeAllAddressRegistryVaultOptOuts();response = fireblocks.compliance.remove_all_address_registry_vault_opt_outs();